# Software development configuration
{ config, pkgs, lib, ... }: {

  environment.systemPackages = with pkgs; [ gitea ];

  # Gitea setup with daily backup
  services.gitea = {
    enable = true;
    domain = "git.coolneng.duckdns.org";
    rootUrl = "https://git.coolneng.duckdns.org";
    database = {
      type = "postgres";
      passwordFile = "/var/keys/gitea/db";
    };
    cookieSecure = true;
    disableRegistration = true;
    repositoryRoot = "/vault/git";
    appName = "Gitea";
    dump = { enable = false; };
  };
}
